TPCTL(8) | System Manager's Manual | TPCTL(8)

# NAME

`tpctl` —
touch panel calibration utility

# SYNOPSIS

`tpctl` | [`-hnuv`] [`-D` dispdevname] [`-d` devname] [`-f` filename]

# DESCRIPTION

`tpctl` is a touch panel calibration utility. `tpctl` calibrates a touch panel and saves and restores the calibration parameters into/from a parameter database file.

Available command-line flags are:

`-D` dispdevname
  Specify display device name.
`-d` devname
  Specify touch panel device name.
`-f` filename
  Specify alternate parameter database file name.
`-h`
  Print brief description.
`-n`
  Do not change the parameter database file.
`-u`
  Force calibration. Without this flag, `tpctl` won't do calibration if the database file already contains parameters for the touch panel.
`-v`
  Verbose mode.

You calibrate the touch panel the first time you run `tpctl`. If you see a cross cursor on the screen, you should tap the center of the cursor to calibrate the touch panel, or you can abort the calibration with the ‘ESC’ key. Five cursors will appear on the screen in turn. Once calibration is done, `tpctl` saves the calibration parameters into the database file and uses the saved parameters to calibrate the touch panel.

You can run `tpctl` automatically with /etc/rc.d/tpctl.

# FILES

/etc/tpctl.dat
  The default calibration parameter database file. The `-f` flag may be used to specify an alternate database file name. `tpctl` will create an empty database file if it doesn't exist.
/dev/ttyE0
  The default display device, which is used to display the cursor during calibration. The `-D` flag may be used to specify an alternate display device name. The display device must provide the ‘hpcfb’ interface as defined in /usr/include/dev/hpc/hpcfbio.h.
/dev/wsmux0
  The default touch panel device. The `-d` flag may be used to specify an alternate touch panel device name.

# SEE ALSO

rc.conf(5)

# BUGS

`tpctl` isn't available on all ports because it requires a display device which provides the ‘hpcfb’ interface.

August 25, 2002 | NetBSD 10.1